post
https://slemma.com/api/v1/integrations/
Updates the specified integration by passing new values in the request body. Only Name, Parent, ConnectionString fields can be updated.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
The following are the examples of HTTP status codes including errors that API can generate
| Response codes | Response content | Description |
|---|---|---|
| 200 OK | An integration object | An integration has been updated successfully. |
| 400 Bad Request | Incorrect ExtType | The ExtType that was specified is invalid. |
| 400 Bad Request | The 'Name' cannot be empty | The field "Name" cannot be empty. |
| 400 Bad Request | Incorrect SourceType | The Source Type that was specified is invalid. |
| 400 Bad Request | Incorrect Driver | The Driver that was specified is invalid. |
| 400 Bad Request | The 'Driver' is incorrect | If you specify incorrect driver. |
| 400 Bad Request | The ServerName cannot be empty | The field "ServerName" cannot be empty. |
| 400 Bad Request | The Database cannot be empty | The field "Database" cannot be empty. |
| 400 Bad Request | The Driver cannot be empty | The field "Driver" cannot be empty. |
| 400 Bad Request | The value of the property 'value' does not match the list of allowed values - ['value1','value2','value3'] | The value of the property does not match the list of allowed values. |
| 403 Forbidden | Access denied | Access to the integration is denied. |
| 404 Not Found | Object not found | An Integration with the specified key wasn't found. |
